# The MEME Suite

## Motif-based sequence analysis tools

## pmp_bf

### Usage:

`pmp_bf [options] <tree> <motif>`

### Description

This utility calculates the statistical power of a phylogenetic motif model.

### Input

#### Tree File

A file containing a phylogenetic tree in Newick format.

#### Motif File

A file containing MEME formatted motifs. Outputs from MEME and DREME are supported along with minimal MEME format for which there are conversion scripts available to support other formats.

### Output

Prints the false positive and false negative rate at each of 10000 score values to standard output.

Each line of the output has the following:

Motif ID score score FPR False Positive Rate TPR True Positive Rate

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
--hb |  | Use the Halpern-Bruno modification to the evolutionary model. |
--model | single|​average|​jc|​k2|​f81|​f84|​hky|​tn | The evolutionary model to use.
Value | Name | Description
--- | --- | ---
single | Single Score | score first sequence: compute standard log-odds score of first sequence in the alignment; ignores tree but does NOT remove gaps.
average | Average Score | compute average of standard log-odds score of aligned sites.
jc | Jukes-Cantor | equilibrium base frequencies are all 1/4; the only free parameter is the mutation rate.
k2 | Kimura 2-parameter | equilibrium base frequencies are all 1/4; the free parameters are the mutation rate and the transition/transversion rate ratio.
f81 | Felsenstein 1981 | equilibrium base frequencies are taken from the alignment; the only free parameter is the mutation rate.
f84 | Felsenstein 1984 | equilibrium base frequencies are taken from the alignment; the free parameters are the mutation rate and the transition/transversion rate ratio. The ratio of purine-purine to pyrimidine->pyrimidine transitions is assumed to be 1.
hky | Hasegawa-Kishino-Yano | equilibrium base frequencies are taken from the alignment; the free parameters are the mutation rate and the transition/transversion rate ratio. The ratio of purine-purine to pyrimidine-pyrimidine transitions is assumed to be equal to the ratio of purines to pyrimidines.
tn | Tamura-Nei | equilibrium base frequencies are taken from the alignment; the free parameters are the mutation rate, the transition/transversion rate ratio, and the ratio of purine-purine transitions to pyrimidine-pyrimidine transitions.
A description of the f81 model is available in chapter 13 of Statistical Methods in Bioinformatics by Ewens and Grant. The other models are described in chapters 9 and 13 of Inferring Phylogenies by Felsenstein. | Behaves as if --model f81 was specified.
--pur-pyr | ratio | The ratio of the purine transition rate to pyrimidine transition rate. This parameter is used by the Tamura-nei model. | The ratio is set to 1.0.
--transition-transversion | ratio | The ratio of the transition rate to the transversion rate. This parameter is used by the Kimura 2-parameter, F84, HKY, and Tamura-nei models. | The ratio is set to 0.5.
--bg | rate | The mutation rate for sites in the background model. | The background mutation rate is set to 1.
--fg | rate | The mutation rate for sites in the foreground model(s). | The mutation rate is set to 1.
--motif | ID | Use only the motif identified by ID. This option may be repeated. |
--bgfile |  | The file should be in MEME background file format. The keyword `motif-file` can be used to indicate that the frequencies should be taken from the motif file. | Use frequencies embedded in the application from the non-redundant database.
--pseudocounts |  | A pseudocount to be added to each count in the motif matrix, weighted by the background frequencies for the nucleotides (Dirichlet prior), before converting the motif to probabilities. | The pseudocount is set to 0.1.
--ustar | target | Convert the tree into a uniform star tree with the target sequence at its center. |